From 275eca23c6594d88ea6d539788db1b46ef455f90 Mon Sep 17 00:00:00 2001
From: Artem Borisov <dedsa2002@gmail.com>
Date: Sat, 6 Jul 2019 00:51:00 +0400
Subject: [PATCH 1/2] bootchart2: put checksum after wrksrc

Signed-off-by: Artem Borisov <dedsa2002@gmail.com>
---
 srcpkgs/bootchart2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bootchart2/template b/srcpkgs/bootchart2/template
index 96a48364a45..f70d36ee390 100644
--- a/srcpkgs/bootchart2/template
+++ b/srcpkgs/bootchart2/template
@@ -12,5 +12,5 @@ license="GPL-2"
 homepage="https://github.com/xrmx/bootchart"
 _gitrev=331ada031f1d65f6d934d918f896e1c708c64bf7
 distfiles="https://github.com/xrmx/bootchart/archive/${_gitrev}.tar.gz>${pkgname}-${version}.tar.gz"
-checksum=a8140cc690bd7d08ab9c030325cb075e154b7545083036ffb65bda8d740d85b4
 wrksrc="bootchart-${_gitrev}"
+checksum=a8140cc690bd7d08ab9c030325cb075e154b7545083036ffb65bda8d740d85b4

From d30d49c4e67397171c8487c587a2cae86aa4aa8f Mon Sep 17 00:00:00 2001
From: Artem Borisov <dedsa2002@gmail.com>
Date: Sat, 6 Jul 2019 00:29:33 +0400
Subject: [PATCH 2/2] bootchart2: conflict with bootchart

Both packages are sharing multiple files and should never be installed together.

Signed-off-by: Artem Borisov <dedsa2002@gmail.com>
---
 srcpkgs/bootchart2/template | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/bootchart2/template b/srcpkgs/bootchart2/template
index f70d36ee390..54fee443d24 100644
--- a/srcpkgs/bootchart2/template
+++ b/srcpkgs/bootchart2/template
@@ -1,7 +1,7 @@
 # Template file for 'bootchart2'
 pkgname=bootchart2
 version=0.14.8.20170531
-revision=1
+revision=2
 build_style=gnu-makefile
 make_install_args="EARLY_PREFIX=/usr"
 makedepends="python"
@@ -14,3 +14,4 @@ _gitrev=331ada031f1d65f6d934d918f896e1c708c64bf7
 distfiles="https://github.com/xrmx/bootchart/archive/${_gitrev}.tar.gz>${pkgname}-${version}.tar.gz"
 wrksrc="bootchart-${_gitrev}"
 checksum=a8140cc690bd7d08ab9c030325cb075e154b7545083036ffb65bda8d740d85b4
+conflicts="bootchart>=0"
